Subject: RE: [PATCH v5 phy-next 09/27] scsi: ufs: exynos: stop poking into struct phy guts

From: "Alim Akhtar" <[email-masked]>
Date: Mon, 23 Mar 2026 18:05:36 +0530

Hi Vladimir

> -----Original Message-----
> From: Vladimir Oltean <[email-masked]>
> Sent: Monday, March 23, 2026 5:29 PM
> To: Martin K. Petersen <[email-masked]>
> Cc: [email-masked]; Vinod Koul <[email-masked]>; Neil
> Armstrong <[email-masked]>; [email-masked];
> [email-masked]; [email-masked];
> [email-masked]; [email-masked]; linux-
> [email-masked]; [email-masked]; linux-
> [email-masked]; [email-masked]; linux-
> [email-masked]; [email-masked]; linux-
> [email-masked]; [email-masked];
linux-samsung-
> [email-masked]; [email-masked];
[email-masked];
> [email-masked]; [email-masked];
> [email-masked]; [email-masked];
> [email-masked]; Bart Van Assche <[email-masked]>;
> Alim Akhtar <[email-masked]>; Peter Griffin
> <[email-masked]>; James E.J. Bottomley
> <[email-masked]>; Krzysztof Kozlowski
> <[email-masked]>; Chanho Park <[email-masked]>
> Subject: Re: [PATCH v5 phy-next 09/27] scsi: ufs: exynos: stop poking into
> struct phy guts
> 
> On Thu, Mar 19, 2026 at 10:15:17PM -0400, Martin K. Petersen wrote:
> > Vladimir,
> >
> > > The Exynos host controller driver is clearly a PHY consumer (gets
> > > the
> > > ufs->phy using devm_phy_get()), but pokes into the guts of struct
> > > ufs->phy
> > > to get the generic_phy->power_count.
> >
> > Ah, newer version. Would still like an ack from Samsung.
> >
> > And I hit the wrong key, I did not actually apply this...
> 
> I will have to resend v6 because of an armv7 build error I've caused for
ufs-
> qcom.c (which doesn't #include <linux/interrupt.h>, and relies on a
transitive
> inclusion from <linux/phy/phy.h>). It would be nice to get the ack from
> Samsung, but I'll send the next version in the upcoming hours regardless.
Will review and possibly test on one of the board later tonight